Bug 11021 - Delete useless 9XX field in french unimarc_complet default Framework
Summary: Delete useless 9XX field in french unimarc_complet default Framework
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: mathieu saby
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 11030 11586
  Show dependency treegraph
 
Reported: 2013-10-09 11:53 UTC by mathieu saby
Modified: 2015-06-04 23:30 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this: 2013-10-30 00:00:00
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
[PATCH 1] Suppress unneeded fields in unimarc_complet default Framework (20.83 KB, patch)
2013-10-09 19:38 UTC, mathieu saby
Details | Diff | Splinter Review
[PATCH 1] Bug 11021: Suppress unneeded fields in unimarc_complet default Framework (20.84 KB, patch)
2013-10-09 19:43 UTC, mathieu saby
Details | Diff | Splinter Review
BZ 11021 - Delete useless 9XX field in french unimarc_complet default Framework. This removes the 942 field, and adds missing subfields in 099 instead. (3.45 KB, patch)
2014-05-28 14:04 UTC, Gaetan Boisson
Details | Diff | Splinter Review
Bug 11021: Suppress unneeded fields in unimarc_complet default Framework (20.98 KB, patch)
2014-06-02 13:41 UTC, Gaetan Boisson
Details | Diff | Splinter Review
Bug 11021: Suppress unneeded fields in unimarc_complet default Framework (21.04 KB, patch)
2014-06-06 15:06 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-10-09 11:53:47 UTC
Unimarc frameworks contains a lot of 9XX fields.
Most of them are useless.
I suppose they were copied from the framework used by the main french record provider company, Electre. But Electre changed their framework some years ago, so those fields must be delete.
I will provide a list of fields to delete.

M. Saby
Comment 1 mathieu saby 2013-10-09 19:38:18 UTC Comment hidden (obsolete)
Comment 2 mathieu saby 2013-10-09 19:39:06 UTC
You can test and sign off even if I did not write yet the patch for "public libraries" framework.

Mathieu
Comment 3 mathieu saby 2013-10-09 19:43:23 UTC Comment hidden (obsolete)
Comment 4 mathieu saby 2013-10-10 07:30:08 UTC
This bug will be only for french unimarc_complet default Framework.
An other bug will be filled for french unimarc for public library, as the case may be different

M. Saby
Comment 5 I'm just a bot 2013-10-30 07:02:36 UTC
Patch applied cleanly, go forth and signoff
Comment 6 Chris Cormack 2013-12-27 07:35:36 UTC
Id like to sign off on this, but know nothing about UNIMARC, can a UNIMARC user please look at this?
Comment 7 Gaetan Boisson 2014-05-28 10:20:09 UTC
This removes a number of obsolete and non-standard fields from the default french unimarc framework, and clarifies the origin of non standard fields that were left. This is highly welcome.

Just one remark : 099 seems to be the unimarc equivalent of the marc21 942. It is not defined in the framework, but some values appear in the zebra default configuration.
I would suggest to put everything in there, that is to remove total issues from 942, and have 099 defined in the default framework so that we have :


099$c --> biblio.datecreated
099$d --> biblio.timestamp
099$t --> biblioitems.itemtype (his field is indexed unde the ccode index, in case the library uses this as a bibliographic level criteria that is independent from the circulation rules.)
099$x --> biblioitems.totalissues

This would of course require to change the zebra index for totalissues in unimarc.

Appart from this the patch applies fine and i am willing to sign it off.
Comment 8 Gaetan Boisson 2014-05-28 10:37:06 UTC
099c and d already exist in the default framework. I am making a followup to add x and t, and remove 942.
Comment 9 mathieu saby 2014-05-28 11:26:25 UTC
(In reply to Gaetan Boisson from comment #8)
> 099c and d already exist in the default framework. I am making a followup to
> add x and t, and remove 942.

Hello
If you want to add new fields for 099 in standard framework, don't you think it could be done in a new bug?
When I wrote this one, I deliberately separated this patch from bug 11030 (depends on bug 11021), that adds new fields (359, 947 and 969), as I viewed it as a distinct issue. I thought it would be cleaner to test.
But do as you want ;-)


Mathieeu
Comment 10 Gaetan Boisson 2014-05-28 14:04:34 UTC Comment hidden (obsolete)
Comment 11 Gaetan Boisson 2014-05-28 14:30:47 UTC
SOrry i got carried away doing something else and didn't see your message Mathieu. My follow up includes some additions, but i think it's ok since it's a very simple patch.
Comment 12 Gaetan Boisson 2014-05-28 15:33:29 UTC
Removing the 942 makes it impossible to apply 11030 before this one is pushed it seems.
Comment 13 mathieu saby 2014-05-28 15:44:27 UTC
Well, I have just a little reserve : with your followup, this bug is both written by you and me, so maybe we need a third person to sign it off (not sure of it)?

If you move your followup to an other bug, I could be able to sign this new bug, and you or some colleague of yours bug 11021.

Mathieu
Comment 14 Gaetan Boisson 2014-06-02 13:23:59 UTC
Ok i will use bug 11586 to propose futher changes then.
Comment 15 Gaetan Boisson 2014-06-02 13:41:30 UTC Comment hidden (obsolete)
Comment 16 mathieu saby 2014-06-02 14:29:28 UTC
thank you ;-)
Comment 17 Jonathan Druart 2014-06-06 15:06:04 UTC
Created attachment 28713 [details] [review]
Bug 11021: Suppress unneeded fields in unimarc_complet default Framework

First patch, for "complete" framework, used by academic libray
900, 901, 910, 918, 920,950,960,970,980,987 fields were useless. I removed them.
I kept only the fields mentionned in Sudoc documentation http://documentation.abes.fr/sudoc/formats/loc/index.htm
916 field is not cited in that page, but it belongs to Sudoc format.

I kept also 2 fields specific to Electre in 2013 :
902 niveau de lecture (Electre)
903  indexation (Electre)

I also added to the name of the 9XX fields I kept the mention (Sudoc) / (Electre) / (Koha), so it could be easier for librarians to know what is the purpose and the origin of each field

I don't make an updatedatabase, because some libraries could still be using these fields for good or bad reasons.

To test :
1) take a fresh Koha with unimarc marcflavor
2) in web installer, select french language, unimarc marflavor and "Grilles de catalogage complètes".
3) check default framework in Administration > MARC Frameworks : it should be without 900,901,910,918,920,950,970,980,987

Signed-off-by: Gaetan Boisson <gaetan.boisson@biblibre.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 18 Jonathan Druart 2014-06-06 15:06:54 UTC
I have complete confidence in Mathieu and Gaetan work.
Marked as Passed QA.
Comment 19 Tomás Cohen Arazi 2014-06-21 23:27:14 UTC
Patch pushed to master.

Thanks Mathieu!
Comment 20 Galen Charlton 2014-07-23 21:35:10 UTC
Pushed to 3.16.x for inclusion in 3.16.2.